Name:           felix-gogo-command
Version:        0.16.0
Release:        %mkrel 5
Group:          Development/Java
Summary:        Apache Felix Gogo Command

License:        ASL 2.0
URL:            http://felix.apache.org
Source0:        http://www.apache.org/dist/felix/org.apache.felix.gogo.command-%{version}-project.tar.gz

Patch0:         felix-gogo-command-pom.xml.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:gogo-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.bundlerepository)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.framework)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.gogo.runtime)
BuildRequires:  mvn(org.osgi:org.osgi.compendium)
BuildRequires:  mvn(org.mockito:mockito-all)

%description
Provides basic shell commands for Gogo.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n org.apache.felix.gogo.command-%{version}
%patch0 -p1

# These deps are provided at runtime by the osgi framework in which are running
# Adding "provided" scope here avoids unnecessary deps on the felix stack if we
# are running in a different osgi container like equinox, for example
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:artifactId[text()='org.apache.felix.framework']]" "<scope>provided</scope>"
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:artifactId[text()='org.osgi.compendium']]" "<scope>provided</scope>"
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:artifactId[text()='org.apache.felix.bundlerepository']]" "<scope>provided</scope>"

# Upstream distribution does not have this requirement, we don't need it here either
sed -i -e 's|\*</Import-Package>|!org.apache.felix.bundlerepository,*</Import-Package>|' pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0.16.0-5.mga6
+ Revision: 982595
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.16.0-4.mga6
+ Revision: 976228
- First rebuild of the java stack
- sync package felix-gogo-command with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 0.14.0-2.mga5
+ Revision: 805659
- Clean rebuild
- Sync with Fedora 21 (Update to 0.14.0)
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-6.mga5
+ Revision: 738990
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 19 2013 dmorgan <dmorgan> 0.12.0-4.mga4
+ Revision: 558751
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.12.0-2.mga3
+ Revision: 350118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 0.12.0-1.mga3
+ Revision: 268219
- New version

* Tue Nov 01 2011 dmorgan <dmorgan> 0.6.1-1.mga3
+ Revision: 160966
- Fix typo in version

  + gil <gil>
    - imported package felix-gogo-command

